Exiv2: Exiv2::TiffMetadataDecoder Class Reference

# Exiv2::TiffMetadataDecoder Class Reference

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite. More...

`#include <tiffvisitor.hpp>`

Inheritance diagram for Exiv2::TiffMetadataDecoder:
[legend]
Collaboration diagram for Exiv2::TiffMetadataDecoder:
[legend]

List of all members.

## Public Member Functions
Creators
| TiffMetadataDecoder (Image *pImage, TiffComponent *const pRoot, FindDecoderFct findDecoderFct=0, uint32_t threshold=0)
| Constructor, taking the image to add the metadata to, the root element of the composite to decode and an optional threshold. Unknown tags with values larger (in bytes) than the threshold will be ignored. Default is not to ignore any tags (0).
virtual | ~TiffMetadataDecoder ()
| Virtual destructor.
Manipulators
virtual void | visitEntry (TiffEntry *object)
| Decode a TIFF entry.
virtual void | visitDataEntry (TiffDataEntry *object)
| Decode a TIFF data entry.
virtual void | visitSizeEntry (TiffSizeEntry *object)
| Decode a TIFF size entry.
virtual void | visitDirectory (TiffDirectory *object)
| Decode a TIFF directory.
virtual void | visitSubIfd (TiffSubIfd *object)
| Decode a TIFF sub-IFD.
virtual void | visitMnEntry (TiffMnEntry *object)
| Decode a TIFF makernote.
virtual void | visitIfdMakernote (TiffIfdMakernote *object)
| Decode an IFD makernote.
virtual void | visitArrayEntry (TiffArrayEntry *object)
| Decode an array entry component.
virtual void | visitArrayElement (TiffArrayElement *object)
| Decode an array element.
void | decodeTiffEntry (const TiffEntryBase *object)
| Entry function, determines how to decode each tag.
void | decodeStdTiffEntry (const TiffEntryBase *object)
| Decode a standard TIFF entry.
void | decodeOlympThumb (const TiffEntryBase *object)
| Decode Olympus Thumbnail from the TIFF makernote into IFD1.
void | decodeSubIfd (const TiffEntryBase *object)
| Decode SubIFD contents to Image group if it contains primary image data.
void | decodeIptc (const TiffEntryBase *object)
| Decode IPTC data from an IPTCNAA tag or Photoshop ImageResources.
void | decodeXmp (const TiffEntryBase *object)
| Decode XMP packet from an XMLPacket tag.

## Detailed Description

TIFF composite visitor to decode metadata from the TIFF tree and add it to an Image, which is supplied in the constructor (Visitor pattern). Used by TiffParser to decode the metadata from a TIFF composite.

The documentation for this class was generated from the following file:

- tiffvisitor.hpp